Cygport Reference Manual

### TABLE OF CONTENTS

- qt3-qmake.cygclass

- cygqmake3
- qt3_qmake_compile
- qt3_qmake_install
- src_compile (qt3-qmake)
- src_install (qt3-qmake)

## qt3-qmake.cygclass

[ Top ] [ Cygclasses ] [ Cygclasses ]

SYNOPSIS

      inherit qt3-qmake

DESCRIPTION

This cygclass builds Qt3-based packages which use the qmake build system.

INHERITS

qt3.cygclass

## cygqmake3

[ Top ] [ qt3-qmake.cygclass ] [ Compile Functions ]

SYNOPSIS

      cd $B
      cygqmake3

DESCRIPTION

Generates Makefiles from the package's qmake project files.

## qt3_qmake_compile

[ Top ] [ qt3-qmake.cygclass ] [ Compile Functions ]

DEFINITION

    qt3_qmake_compile() {
            cygqmake3
            cygmake
    }

## qt3_qmake_install

[ Top ] [ qt3-qmake.cygclass ] [ Install Functions ]

SYNOPSIS

      cd $B
      qt3_qmake_install

DESCRIPTION

Installs the package into $D and fixes some common installation issues.

WARNING

Many qmake projects do not define correct install rules, if any at all. qt3_qmake_install is of no use in such cases; you must use manual installation commands instead.

## src_compile (qt3-qmake)

[ Top ] [ qt3-qmake.cygclass ] [ Overloads ]

DEFINITION

    src_compile() {
            lndirs
            cd ${B}
            qt3_qmake_compile
    }

## src_install (qt3-qmake)

[ Top ] [ qt3-qmake.cygclass ] [ Overloads ]

DEFINITION

    src_install() {
            cd ${B}
            qt3_qmake_install
    }